import Vue from 'vue' // 引入vue

import 'normalize.css/normalize.css' // css样式初始化插件
import ElementUI from 'element-ui' // 引入整个Element
import 'element-ui/lib/theme-chalk/index.css' // 引入整个Element样式
import '@/styles/index.scss' // 全局css
import App from './App' // 引入App
import store from './store' // vue状态管理
import router from './router' // vue官方的路由
import echarts from 'echarts' // echart
import '@/icons' // icon图标
import '@/permission' // 权限控制
import VueI18n from 'vue-i18n' //中英文切换
import VueWorker from 'vue-worker'
import $ from 'jquery'
import 'bootstrap'
import '@/assets/iconfont/iconfont.js'

/**
 * 如果不想使用mock-server，想将MockJs用作mock api，可以执行: mockXHR()
 * 目前在生产环境中将使用MockJs,请在上线前将其删除 ! ! !
 */
// if (process.env.NODE_ENV === 'production') {
//   const { mockXHR } = require('../mock')
//   mockXHR()
// }
Vue.prototype.$echarts = echarts
Vue.use(ElementUI)
Vue.use(VueI18n)
Vue.use(VueWorker)
const i18n=new VueI18n({
    locale:localStorage.getItem('languageSet')||'zh',   //从localStorage里获取用户中英文选择，没有则默认中文
    messages:{
        'zh':require('./components/language/zh'),
        'en':require('./components/language/en')
    }
})

import { ElMessage } from './utils/message.js'
Vue.prototype.$message = new ElMessage()
Vue.prototype.$bus=new Vue()
Vue.config.productionTip = false // 生产环境阻止启动生产消息
new Vue({
    el: '#app',
    router,
    store,
    i18n, 
    render: h => h(App) // vue2.0的写法
})